package storage_file

import (
	"cake_crm/internal/models/storage"
	crm "cake_crm/proto"
	"context"
	"encoding/json"
	"os"
)

type storageFile struct{}

func NewStorageFile() storage.IStorage {
	return &storageFile{}
}

func (s *storageFile) GetCatalog(_ context.Context) ([]*crm.CatalogRsp_Category, error) {
	data, err := os.ReadFile("resources/catalog.json")
	if err != nil {
		return nil, err
	}
	var res []*crm.CatalogRsp_Category
	if err := json.Unmarshal(data, &res); err != nil {
		return nil, err
	}
	return res, nil
}

func (s *storageFile) GetAllProducts(ctx context.Context) ([]storage.Product, error) {
	//TODO implement me
	panic("implement me")
}

func (s *storageFile) GetProductByID(ctx context.Context, id int) (storage.Product, error) {
	//TODO implement me
	panic("implement me")
}

func (s *storageFile) GetBreadcrumbs(ctx context.Context, id int) ([]storage.Breadcrumb, error) {
	//TODO implement me
	panic("implement me")
}
